/* Created July 2006
 * Modified Dec. 2006
 * Modified Jan. 2007
 * Olivier Fourdan <fourdan@xfce.org>
 * Based on Tango color scheme http://tango-project.org 
 * Ported from gtk-2.0 to gtk-3.0 by Peter de Ridder <peter@xfce.org>
 * Released under the GPL license
 */

@define-color fg_active #000000;
@define-color fg_insensitive #888a85;
@define-color fg_normal #101010;
@define-color fg_prelight #101010;
@define-color fg_selected #000000;

@define-color bg_active #d3d7cf;
@define-color bg_insensitive #eeeeec;
@define-color bg_normal #eeeeec;
@define-color bg_prelight #eeeeec;
@define-color bg_selected #d3d7cf;

@define-color base_active #d3d7cf;
@define-color base_insensitive #eeeeec;
@define-color base_normal #ffffff;
@define-color base_prelight #eeeeec;
@define-color base_selected #3465a4;

@define-color text_active #101010;
@define-color text_insensitive #101010;
@define-color text_normal #101010;
@define-color text_prelight #101010;
@define-color text_selected #ffffff;

* {
    engine: xfce;

    -xfce-smooth-edge: true;
    -xfce-grip-style: disabled;

    -GtkWidget-focus-line-width      : 1;
    -GtkWidget-focus-padding         : 4;
    -GtkWidget-interior-focus        : true;
    -GtkButton-default-border        : 0;
    -GtkButton-default-outside-border: 0;
    -GtkButton-child-displacement-x  : 0;
    -GtkButton-child-displacement-y  : 1;
    -GtkCheckButton-indicator-size   : 12;
    -GtkPaned-handle-size            : 7;
    -GtkRange-slider-width           : 15;
    -GtkRange-stepper-size           : 15;
    -GtkRange-stepper-spacing        : 0;
    -GtkRange-trough-border          : 0;
    -GtkScrollbar-has-backward-stepper: true;
    -GtkScrollbar-min-slider-length  : 20;

    border-width: 2px 2px;

    color: @fg_normal;
    background-color: @bg_normal;
    border-color: darker(@bg_normal);
}

*:active {
    color: @fg_active;
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

*:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
    border-color: darker(@bg_insensitive);
    text-shadow: 1px 1px white;
}

*:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
    border-color: darker(@bg_prelight);
}

*:selected {
    color: @fg_selected;
    background-color: @bg_selected;
    border-color: darker(@bg_selected);
}

.view, .entry {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.view:active, .entry:active {
    color: @text_active;
    background-color: @base_active;
    border-color: darker(@bg_normal);
}

.view:insensitive, .entry:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_normal);
}

.view:hover, .entry:hover {
    color: @text_prelight;
    background-color: @base_prelight;
    border-color: darker(@bg_normal);
}

.view:selected, .entry:selected {
    color: @text_selected;
    background-color: @base_selected;
    border-color: darker(@bg_normal);
}

.view row:nth-child(odd) {
    background-color: shade(@base_normal, 0.93);
}

.view row:nth-child(odd):active {
    background-color: shade(@base_active, 0.93);
}

.view row:nth-child(odd):insensitive {
    background-color: shade(@base_insensitive, 0.93);
}

.view row:nth-child(odd):hover {
    background-color: shade(@base_prelight, 0.93);
}

.view row:nth-child(odd):selected {
    background-color: shade(@base_selected, 0.93);
}

GtkCalendar {
    color: @text_normal;
}

.header {
    color: @fg_normal;
}

GtkCalendar:active {
    color: @text_active;
}

GtkCalendar:insensitive {
    color: @text_insensitive;
}

GtkCalendar:hover {
    color: @text_prelight;
}

GtkCalendar:selected {
    color: @text_selected;
}

.highlight {
    color: @text_active;
    background-color: @base_active;
}

GtkCalendar:inconsistent {
    color: mix(lighter(@bg_normal), darker(@bg_normal), 0.5);
}

GtkCalendar:selected {
    color: @text_active;
    background-color: @base_active;
}

.check, .radio {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:active, .radio:active {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive, .radio:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.check:hover, .radio:hover {
    color: @text_prelight;
    background-color: @base_prelight;
    border-color: darker(@bg_prelight);
}

.check:selected, .radio:selected {
    color: @text_active;
    background-color: @base_active;
    border-color: darker(@bg_active);
}

.check:inconsistent, .radio:inconsistent {
    color: @fg_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive:inconsistent, .radio:insensitive:inconsistent {
    color: @fg_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.cell {
    color: @text_normal;
}

.cell:active {
    color: @text_active;
}

.cell:insensitive {
    color: @text_insensitive;
}

.cell:hover {
    color: @text_prelight;
}

.cell:selected {
    color: @text_selected;
}

.spinbutton.button {
    color: @fg_normal;
    background-color: @bg_normal;
}

.spinbutton.button:active {
    color: @fg_active;
    background-color: @bg_active;
}

.spinbutton.button:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
}

.spinbutton.button:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
}

.spinbutton.button:selected {
    color: @fg_selected;
    background-color: @bg_selected;
}

.progressbar {
    color: #4e9a06;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#8ae234, 1.1)), to(shade(#8ae234, 0.95)));
    border-color: darker(#8ae234);

    border-width: 0px 0px;
}

.progressbar.vertical {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(#8ae234, 1.1)), to(shade(#8ae234, 0.95)));
}

.trough {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#e8e8e6, 0.95)), to(shade(#e8e8e6, 1.1)));
    border-color: darker(#e8e8e6);
}

.trough.vertical {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(#e8e8e6, 0.95)), to(shade(#e8e8e6, 1.1)));
}

.notebook {
    color: #101010;
    background-color: #ffffff;
    border-color: darker(#ffffff);
}

.notebook tab, .notebook tab * {
    color: @fg_active;
    background-color: #e8e8e6;
    border-color: darker(#e8e8e6);
}

.notebook tab:active, .notebook tab *:active {
    color: #101010;
    background-color: #ffffff;
    border-color: darker(#ffffff);
}

.expander {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:active {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:insensitive {
    color: @base_insensitive;
    border-color: @fg_insensitive;
}

.expander:hover {
    color: @fg_prelight;
    border-color: @fg_prelight;
}

.expander:selected {
    color: @base_selected;
    border-color: @fg_selected;
}

GtkComboBox {
    padding: 0px;
}

GtkComboBox .button {
    padding: 1px;
}

.menu {
    background-color: #ffffff;
    border-color: darker(#ffffff);
}

.menu:active {
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

.menu:insensitive {
    background-color: #ffffff;
    border-color: darker(#ffffff);
}

.menu:hover {
    background-color: #d3d7cf;
    border-color: darker(#d3d7cf);
}

.menu:selected {
    color: #000000;
    background-color: @bg_selected;
    border-color: darker(@bg_selected);
}

.menuitem {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#ffffff, 1.1)), to(shade(#ffffff, 0.95)));
    border-color: darker(#ffffff);

    border-width: 1px 1px;
}

.menuitem:active {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_active, 0.95)), to(shade(@bg_active, 1.1)));
    border-color: darker(@bg_active);
}

.menuitem:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#ffffff, 1.1)), to(shade(#ffffff, 0.95)));
    border-color: darker(#ffffff);
}

.menuitem:hover {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
    border-style: solid;
}

.menuitem:selected {
    color: #000000;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 0.95)), to(shade(@bg_selected, 1.1)));
    border-color: darker(@bg_selected);
}

.menubar {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#eeeeec, 1.2)), to(shade(#eeeeec, 0.9)));
    border-color: darker(#eeeeec);

    border-width: 1px 3px;
}

.menubar:active {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_active, 0.9)), to(shade(@bg_active, 1.2)));
    border-color: darker(@bg_active);
}

.menubar:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#eeeeec, 1.2)), to(shade(#eeeeec, 0.9)));
    border-color: darker(#eeeeec);
}

.menubar:selected {
    color: #000000;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 0.9)), to(shade(@bg_selected, 1.2)));
    border-color: darker(@bg_selected);
}

.button {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#eeeeec, 1.1)), to(shade(#eeeeec, 0.95)));
    border-color: darker(#eeeeec);

    -GtkWidget-focus-padding: 1;
}

.button:active {
    color: #000000;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#d3d7cf, 0.95)), to(shade(#d3d7cf, 1.1)));
    border-color: darker(#d3d7cf);
}

.button:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_insensitive, 1.1)), to(shade(@bg_insensitive, 0.95)));
    border-color: darker(@bg_insensitive);
}

.button:hover {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
}

.button:selected {
    color: #ffffff;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#3465a4, 0.95)), to(shade(#3465a4, 1.1)));
    border-color: darker(#3465a4);
}

.tooltip {
    color: #101010;
    background-color: #ffffdf;
    border-color: darker(#ffffdf);
}

.scrollbar {
    -xfce-grip-style: rough;
}

.button.horizontal, .slider.horizontal {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
}

.button.horizontal:active, .slider.horizontal:active {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#e8e8e6, 0.95)), to(shade(#e8e8e6, 1.1)));
    border-color: darker(#e8e8e6);
}

.button.horizontal:insensitive, .slider.horizontal:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_insensitive, 1.1)), to(shade(@bg_insensitive, 0.95)));
    border-color: darker(@bg_insensitive);
}

.button.horizontal:hover, .slider.horizontal:hover {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
}

.button.horizontal:selected, .slider.horizontal:selected {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 0.95)), to(shade(@bg_selected, 1.1)));
    border-color: darker(@bg_selected);
}

.button.vertical, .slider.vertical {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
}

.button.vertical:active, .slider.vertical:active {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(#e8e8e6, 0.95)), to(shade(#e8e8e6, 1.1)));
    border-color: darker(#e8e8e6);
}

.button.vertical:insensitive, .slider.vertical:insensitive {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_insensitive, 1.1)), to(shade(@bg_insensitive, 0.95)));
    border-color: darker(@bg_insensitive);
}

.button.vertical:hover, .slider.vertical:hover {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(#d3d7cf, 1.1)), to(shade(#d3d7cf, 0.95)));
    border-color: darker(#d3d7cf);
}

.button.vertical:selected, .slider.vertical:selected {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_selected, 0.95)), to(shade(@bg_selected, 1.1)));
    border-color: darker(@bg_selected);
}

.radio {
    -GtkCheckButton-indicator-size: 15;
}
